Name:           pyhoca-gui
Version:        0.4.0.8
Release:        1%{?dist}
Summary:        Graphical X2Go client written in (wx)Python

Group:          Applications/Communications
License:        AGPLv3+
URL:            http://www.x2go.org/
Source0:        http://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-distutils-extra
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
Requires:       python-setproctitle
Requires:       python-x2go
Requires:       notify-python
Requires:       wxPython

%description
X2Go is a server based computing environment with:
   - session resuming
   - low bandwidth support
   - LDAP support
   - client side mass storage mounting support
   - client side printing support
   - audio support
   - authentication by smartcard and USB stick

PyHoca-GUI is a slim X2Go client that docks to the desktop's
notification area and allows multiple X2Go session handling.


%prep
%setup -q


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_bindir}/
cp -p %{name} %{buildroot}%{_bindir}/
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%post
/bin/touch --no-create %{_datadir}/icons/PyHoca &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/PyHoca &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/PyHoca &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/PyHoca &>/dev/null || :


%files
%doc LICENSE.txt README TODO
%{_bindir}/%{name}
%{python_sitelib}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/PyHoca/
%{_datadir}/pixmaps/pyhoca_x2go-logo-ubuntu.svg
%{_datadir}/pyhoca
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Aug 29 2013 Orion Poplawski <orion@cora.nwra.com> - 0.4.0.8-1
- Update to 0.4.0.8
- Add BR on desktop-file-utils, validate the desktop file
- Add gtk-update-icon-cache scriptlets
- Own /usr/share/pyhoca
- Change tabs to spaces

* Thu Aug 1 2013 Orion Poplawski <orion@cora.nwra.com> - 0.4.0.6-1
- Update to 0.4.0.6

* Wed Feb 13 2013 Orion Poplawski <orion@cora.nwra.com> - 0.4.0.1-1
- Update to 0.4.0.1

* Tue Feb 12 2013 Orion Poplawski <orion@cora.nwra.com> - 0.4.0.0-1
- Update to 0.4.0.0

* Tue Dec 18 2012 Orion Poplawski <orion@cora.nwra.com> - 0.2.1.1-1
- Initial Fedora release
